<%@  page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils" %>
<%   JSPConduit c = JSPConduit.getJSPConduit(request); %>

<jsp:include page='<%= c.getPath("NMAS/NMASIncludes_inc.jsp") %>' flush="true" />
<% try  { %><HTML>
<head>
	<title><%= c.var("bookTitle") %></title>
	<jsp:include page='<%= c.getPath("NMAS/NMASStyles_inc.jsp") %>' flush="true" />
	<jsp:include page='<%= c.getPath("dev/OSScripts_inc.jsp") %>' flush="true" />
	<SCRIPT language="JavaScript" src="<%= c.getModulesUrl() + "/dev/javascripts/" %>PageScripts.js"></script>
	<script language="JavaScript">
	<!--
		<jsp:include page='<%= c.getPath("NMAS/PasswordUtil_js.jsp") %>' flush="true" />
		function isPageValid()
		{
			<%/*-- make sure all fields on Enhanced pswd are OK -- */%>
			if ( document.Form.SetEnhancedPassword[0].checked )
			{
				if ( document.Form.EnhancedPswd_dirty.value == 'true' || document.Form.ConfirmEnhancedPswd_dirty.value == 'true' )
				{
	 		   	if ( document.Form.EnhancedPswd.value == "" )
					{
						alert( "<%= c.toSecureJavaScriptEncode(c.string("NMAS.MissingPswd")) %>" );
						return false;
					}

					if ( document.Form.ConfirmEnhancedPswd.value == "" )
					{
						alert( "<%= c.toSecureJavaScriptEncode(c.string("NMAS.MissingConfirmPswd")) %>" );
						return false;
					}

					if ( !confirmPassword(document.Form.EnhancedPswd.value, document.Form.ConfirmEnhancedPswd.value) )
					{
						alert( '<%= c.toSecureJavaScriptEncode(c.string("NMAS.ConfirmFailed")) %>' );
						return false;
					}

					document.Form.doNothing.value = "false";
				}

				if ( document.Form.ForceEnhancedPswdChange_dirty.value == 'true' ||
					  document.Form.ProhibitEnhancedPswdChange_dirty.value == 'true' )
				{
					document.Form.doNothing.value = "false";
				}
			}
			else
			{
			  	document.Form.doNothing.value = "false";
				<%/*-- warn them about the deletion of the password -- */%>
				if ( confirm("<%= c.toSecureJavaScriptEncode(c.string("NMAS.RemoveEnhancedPswdConfirm")) %>") == false )
					return false;
			}

			return true;
		}
	//-->
	</script>
</head>

<body>
<form name="Form" method="post" action="webacc">
<jsp:include page='<%= c.getPath("dev/Messagebar_inc.jsp") %>' flush="true" />
<jsp:include page='<%= c.getPath("dev/BookVars_inc.jsp") %>' flush="true" />

	<%/*-------------------- Enhanced password controls ----------------- */%>
	<input type="hidden" name="SetEnhancedPassword_dirty"			value="false">
	<input type="hidden" name="OldEnhancedPswd_dirty"  				value="false">
	<input type="hidden" name="EnhancedPswd_dirty"  				value="false">
	<input type="hidden" name="ConfirmEnhancedPswd_dirty" 			value="false">
	<input type="hidden" name="ForceEnhancedPswdChange_dirty" 		value="false">
	<input type="hidden" name="ProhibitEnhancedPswdChange_dirty" 	value="false">
	<input type="hidden" name="doNothing"			 				value="true">  <%/*-- don"t do anything unless the user dirtied the page-- */
	  /*-------------------- Enhanced password controls ----------------- */%>

	<table>
		<tr>
			<td class="formdescriptext" colspan="4">
				<div>
					<span class="width400">
						<% if ( "false".equals( c.var( "HasWriteRights" ) ) && "false".equals( c.var( "HasAdminRights" ) ) ) { %>
						<%= c.string("NMAS.InsufficientPswdRights") %>
						<% } else { %>
						<%= c.string("NMAS.EnhancedPswdDesc") %>
						<% } %>
					</span>
				</div>
			</td>
		</tr>
		<tr><td>&nbsp;&nbsp;</td><tr>
		<tr>
			<td class="mediumtext" colspan="4">
				<input type="radio" value="set" checked name="SetEnhancedPassword"
					onChange="document.Form.SetEnhancedPassword_dirty.value='true'"
					<% if ( "false".equals( c.var( "HasWriteRights" ) ) && "false".equals( c.var( "HasAdminRights" ) ) ) { %>disabled<% } %>/>
					<%= c.string("NMAS.SetPswd") %>
			</td>
		</tr>
		<tr>
			<td><IMG width="10" src="<%= c.getModulesUrl() %>/NMAS/images/spacer.gif"></td>
			<td class="mediumtext">
				<%= c.string("NMAS.OldEnhancedPswd") %>
			</td>
			<td>&nbsp;&nbsp;</td>
			<td class="mediumtext">
				<input type="password" name="OldEnhancedPswd"
					onChange="document.Form.OldEnhancedPswd_dirty.value='true'"
					<% if ( "false".equals( c.var( "HasWriteRights" ) ) || "true".equals( c.var( "HasAdminRights" ) ) ) { %>disabled<% } %>/>
			</td>
		</tr>
		<tr>
			<td><IMG width="15" src="<%= c.getModulesUrl() %>/NMAS/images/spacer.gif"></td>
			<td class="mediumtext">
				<%= c.string("NMAS.SetEnhancedPswd") %>
			</td>
			<td>&nbsp;&nbsp;</td>
			<td class="mediumtext">
				<input type="password" name="EnhancedPswd"
					<% if ( "false".equals( c.var( "HasWriteRights" ) ) && "false".equals( c.var( "HasAdminRights" ) ) ) { %>disabled<% } %>
					onChange="document.Form.EnhancedPswd_dirty.value='true'"/>
			</td>
		</tr>
		<tr>
			<td><IMG width="15" src="<%= c.getModulesUrl() %>/NMAS/images/spacer.gif"></td>
			<td class="mediumtext">
				<%= c.string("NMAS.ConfirmEnhancedPswd") %>
			</td>
			<td>&nbsp;&nbsp;</td>
			<td class="mediumtext">
				<input type="password" name="ConfirmEnhancedPswd"
					<% if ( "false".equals( c.var( "HasWriteRights" ) ) && "false".equals( c.var( "HasAdminRights" ) ) ) { %>disabled<% } %>
					onChange="document.Form.ConfirmEnhancedPswd_dirty.value='true'"/>
			</td>
		</tr>
		<tr>
			<td><IMG width="15" src="<%= c.getModulesUrl() %>/NMAS/images/spacer.gif"></td>
			<td class="mediumtext" colspan="3">
				<input type="checkbox" name="ForceEnhancedPswdChange"
					<% if ( "false".equals( c.var( "HasWriteRights" ) ) && "false".equals( c.var( "HasAdminRights" ) ) ) { %>disabled<% } %>
					onChange="document.Form.ForceEnhancedPswdChange_dirty.value='true';"/><%= c.string("NMAS.ForcePswdChange") %>
			</td>
		</tr>
		<tr>
			<td><IMG width="15" src="<%= c.getModulesUrl() %>/NMAS/images/spacer.gif"></td>
			<td class="mediumtext" colspan="3">
				<input type="checkbox" name="ProhibitEnhancedPswdChange"
					<% if ( "false".equals( c.var( "HasWriteRights" ) ) && "false".equals( c.var( "HasAdminRights" ) ) ) { %>disabled<% } %>
					onChange="document.Form.ProhibitEnhancedPswdChange_dirty.value='true';"/><%= c.string("NMAS.ProhibitPswdChange") %>
			</td>
		</tr>
		<tr><td>&nbsp;&nbsp;</td><tr>
		<tr>
			<td class="mediumtext" colspan="4">
				<input type="radio" value="remove" name="SetEnhancedPassword"
					<% if ( "false".equals( c.var( "HasWriteRights" ) ) && "false".equals( c.var( "HasAdminRights" ) ) ) { %>disabled<% } %>
					onChange="document.Form.SetEnhancedPassword_dirty.value='true'"/><%= c.string("NMAS.RemovePswd") %>
			</td>
		</tr>
		<tr>
			<td><IMG width="15" src="<%= c.getModulesUrl() %>/NMAS/images/spacer.gif"></td>
			<td class="formdescriptext" colspan="3">
				<div>
					<span class="width400">
						<%= c.string("NMAS.RemoveEnhancedPswdWarning") %>
					</span>
				</div>
			</td>
		</tr>
	 </table>
</form>
</body></HTML> <% } catch (Exception e) { e.printStackTrace(); %>Exception occured processing JSP page<% } %>
