<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils" %>
<%@ taglib uri="/WEB-INF/iman.tld" prefix="iman" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   LMDescriptionPage.jsp~idc_nmas#4:ascii:nds#1 %                  */
  /* %derived_by:      gshipra %                                             */
  /* %date_modified:   Wed Mar 26 16:07:48 2003 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */

JSPConduit c = JSPConduit.getJSPConduit(request);
Object noLockOutPeriod ;
int noLockOutPeriodNum = 0;
Object methodName = request.getAttribute("MethodNameParam");
boolean NDSMethod = false;
if(methodName != null && methodName.toString().equalsIgnoreCase("NDS"))
{
	NDSMethod = true;
	noLockOutPeriod = request.getAttribute("noLockOutPeriodParam");
	if(noLockOutPeriod != null)
	{
	   noLockOutPeriodNum = new Integer(noLockOutPeriod.toString());
	}
}

%>
<jsp:include page='<%= c.getPath("NMAS/NMASIncludes_inc.jsp") %>' flush="true" />
<% try  { %><HTML>
	<head>
		<title><%= c.var("bookTitle") %></title>
		<jsp:include page='<%= c.getPath("NMAS/NMASStyles_inc.jsp") %>' flush="true" />
		<jsp:include page='<%= c.getPath("dev/OSScripts_inc.jsp") %>' flush="true" />
		<jsp:include page='<%= c.getPath("dev/ValidateIntegerScripts_inc.jsp") %>' flush="true" />

		<SCRIPT language="JavaScript" src="<%= c.getModulesUrl() + "/dev/javascripts/" %>PageScripts.js">></script>
		<script language="JavaScript">
		
			function isPageValid()
			{
				// Called when user leaves this page or applies changes
				return true;
			}
		
		</script>
	</head>

	<body>
		<form name="Form" method="post" action="webacc" onSubmit="isPageValid();">
			<jsp:include page='<%= c.getPath("dev/Messagebar_inc.jsp") %>' flush="true" />
			<jsp:include page='<%= c.getPath("dev/BookVars_inc.jsp") %>' flush="true" />

			<table width="80%">
				<%/*-- method name text area -- */%>
				<tr class="rowaltcolor">
					<td class="smalltext" nowrap width="<%= c.string("NMAS.MethodDescPage.LeadColumnWidth") %>%" align="left" valign="top">
						<%= c.string("NMAS.MethodDescPage.Name") %>
					</td>
					<td class="smalltext">
						<%= c.toSecureHTMLEncode(c.var("MethodNameParam")) %>
					</td>
				</tr>
				<%/*-- method description text area -- */%>
				<tr>
					<td class="smalltext" nowrap width="<%= c.string("NMAS.MethodDescPage.LeadColumnWidth") %>%" align="left" valign="top">
						<%= c.string("NMAS.MethodDescPage.Description") %>
					</td>
				  	<td class="smalltext">
						<%= c.toSecureHTMLEncode(c.var("MethodDescParam")) %>
					</td>
				</tr>
				<%/*-- method advisory grade text area -- */%>
				<tr class="rowaltcolor">
					<td class="smalltext" nowrap width="<%= c.string("NMAS.MethodDescPage.LeadColumnWidth") %>%" align="left" valign="top">
						<%= c.string("NMAS.MethodDescPage.Grade") %>
					</td>
					<td class="smalltext">
						<%= c.toSecureHTMLEncode(c.var("MethodGradeParam")) %>
					</td>
				</tr>
				<%/*-- vendor name text area -- */%>
				<tr>
					<td class="smalltext" nowrap width="<%= c.string("NMAS.MethodDescPage.LeadColumnWidth") %>%" align="left" valign="top">
						<%= c.string("NMAS.MethodDescPage.Vendor") %>
					</td>
					<td class="smalltext">
						<%= c.toSecureHTMLEncode(c.var("VendorNameParam")) %>
					</td>
				</tr>
			</table>
			<br>
		<%
			if(NDSMethod)
			{
		%>
			<table width="80%" cellpadding="0" cellspacing="0">
				<table cellpadding="0" cellspacing="0" >
				<tr>
					<td class="smalltext"><NOBR><%= c.string("NMAS.MethodDescPage.NoIntruderLockOutPeriod") %></NOBR>&nbsp;&nbsp;</td>
					<td><input type="text" name="noLockOutPeriod" value="<%= noLockOutPeriodNum %>" id="noLockOutPeriod" style="padding-left:3;padding-right:3;" size="5" maxlength="3" onChange='if(!validateIntegerField(this,0,127)){this.focus();return false;}'></td>
					<td><iman:spinner elementId="noLockOutPeriod" /></td>
				</tr>
			    </table>
			 </table>
			 <br>
			 <table width="80%" cellpadding="0" cellspacing="0">
			    <tr>
			       <td colspan="48" class="smalltext2d"> <%= c.string("NMAS.MethodDescPage.Note") %></td>
			    </tr>
			 </table>
			 <br>
		<%
			}
		%>

			<table width="80%">
				<%/*-- the method"s supported modules list box -- */%>
				<tr>
					<td class="smalltext2b" >
						<%= c.string("NMAS.Modules") %>
					</td>
				</tr>
				<tr>
					<td valign="top">
						<select class="smalltext" name="LoginMethodModules" size="6" style="width:360" disable>
						<% c.set("i", "0");
						   while (c.lt(c.var("i"), c.var("LoginMethodModules.count"))) { %>
						<option value="<%= c.var("LoginMethodModules."+c.var("i")) %>"><%= c.var("LoginMethodModules."+c.var("i")) %></option>
							<% c.inc("i");
						   } %>
					  	</select>
					</td>
				</tr>
			</table>
		</form>
	</body>
</HTML> <% } catch (Exception e) { e.printStackTrace(); %>Exception occured processing JSP page<% } %>
