<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   Page_LoginMethods.jsp~5:ascii:iman_plg#1 %                  */
  /* %date_modified:   Tue Aug 01 07:56:08 2006 %                            */
  /* %derived_by:      ggoodwin %                                             */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */
%>
<%@ page   pageEncoding = "utf-8"                                %>
<%@ page   contentType  = "text/html;charset=utf-8"              %>
<%@ page   import       = "com.novell.plugin.imanutil.tags.Table,
                           com.novell.admin.nmas.WidgetID"  %>
<%@ page   import       = "com.novell.plugin.imanutil.UIWizard"  %>
<%@ page   import       = "com.novell.plugin.imanutil.TableCell" %>
<%@ page   import       = "com.novell.admin.nmas.NMASConstants"  %>
<%@ page   import       = "com.novell.plugin.imanutil.UIContext" %>
<%@ page   import       = "com.novell.emframe.dev.D"             %>
<%@ page   import       = "com.novell.plugin.imanutil.constants.UIConst" %>
<%@ taglib uri          = "/WEB-INF/iman.tld"    prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"       prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"    prefix = "nmas" %>

<iman:stringtable bundle = "NMASResources" />
<iman:stringtable bundle = "DevResources" />

<iman:include page = "NMAS/NMASIncludes_inc.jsp" />

<%
   try
   {
      Table data = (Table)request.getAttribute( WidgetID.TABLE_DATA );
%>
<html>
   <head>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <nmas:dataTableScripts />

      <iman:include page = "NMAS/MiscUtil_js.jsp" />
      <nmas:utilScripts moduleName = "NMAS" />

      <script language = "JavaScript">

         <!-- Hide JavaScript from non-compliant browsers.

         <%/*--------------------------------------------------------------- */
           /* Set the focus on the first element of the login method list.   */
           /*--------------------------------------------------------------- */%>

         function onPageLoad()
         {
            utilPositionFooterDiv( 'headerDiv','bodyDiv','footerDiv' );

            utilSetFooterButtons( window.closeButton );
         }

         <%/*--------------------------------------------------------------- */
           /* Figure out the nature of the user"s selection, and return the  */
           /* proper state for the servlet when we submit LMSelectForm.      */
           /*--------------------------------------------------------------- */%>

         function analyzeSelection( delArray )
         {
            <%--
            var   nextState = 'noneDeletable';
            var   atLeastOneIsFree = false;
            var   atLeastOneIsUsed = false;

            for ( var i = 0; i < delArray.length; i++ )
            {
               <%/* Find the selected login method in the list of available  */
                 /* login  methods in order to check the status.             */%>

               for ( var j = 0; j < <%= c.var("AvailableMethods.length") %>; j++ )
               {
                  if ( delArray[i] == document.LMDataForm.elements['AvailableMethods.' + j + '.rdn'].value )
                  {
                     <%/* We found the selected login method; now check its  */
                       /* status.                                            */%>

                     if ( "IN_USE" == document.LMDataForm.elements['AvailableMethods.' + j + '.status'].value )
                     {
                        atLeastOneIsUsed = true;
                     }
                     if ( "UNUSED" == document.LMDataForm.elements['AvailableMethods.' + j + '.status'].value )
                     {
                        atLeastOneIsFree = true;
                     }
                  }
               }
            }
            if ( atLeastOneIsFree )
            {
               <%/* At least one of the login methods selected for deletion  */
                 /* is free to be deleted.  Advise the administrator of the  */
                 /* irreversible consequences of this action.                */%>

               if
               (
                  !confirm
                  (
                     "<%= c.toSecureJavaScriptEncode(c.string("NMAS.LMDelete.Select.Warning")) %>"
                  )
               )
               {
                  <%/* The administrator cancelled the action; bug out.      */%>
                  nextState = 'initialState';
               }
               else
               {
                  nextState = 'someDeletable';
                  if ( !atLeastOneIsUsed )
                  {
                     nextState = 'allDeletable';
                  }
               }
            }
            return nextState;
            --%>
         }

         <%/*--------------------------------------------------------------- */
           /* Gather all selected items (ensuring that no more than one      */
           /* login method has been selected), set the proper query          */
           /* variables, and submit the request.                             */
           /*--------------------------------------------------------------- */%>

         function handleModify( )
         {
            var selectedIndex = document.LMSelectForm.elements['LMSelection'].options.selectedIndex;
            if ( selectedIndex == -1 )
            {
               <%/* The user has to select at least one item from the list.  */%>

               alert( "<iman:toScript><iman:string key = "NMAS.MustSelect" /></iman:toScript>" );
               return;
            }

            <%/* Disallow multiple selection; start by getting the count of  */
              /* the selected items.                                         */%>

            var selectionLength = document.LMSelectForm.elements['LMSelection'].options.length;
            var selectedCount = 0;
            var selectedMethod = "";
            for ( i = selectionLength - 1; i >= 0; i-- )
            {
               if ( document.LMSelectForm.elements[ 'LMSelection' ].options[ i ].selected == true )
               {
                  selectedMethod = document.LMSelectForm.elements[ 'LMSelection' ].options[ i ].value;
                  selectedCount++;
               }
            }
            if ( selectedCount > 1 )
            {
               <%/* Can"t view or modify more than one at a time; display    */
                 /* an alert.                                                */%>

               alert( "<iman:toScript><iman:string key = "NMAS.ModifyMethod.SelectOnlyOne" /></iman:toScript>" );
               return;
            }

            <%/* Send the selected method back to the servlet.  The task     */
              /* fw.ModifyObject expects a packed array, even for only one   */
              /* object.                                                     */%>

            var modArray = new Array( document.LMSelectForm.elements[ 'LMSelection' ].options[ selectedIndex ].value );
            document.LMModifyForm.elements[ 'eDir$target' ].value = pack( modArray );

            <%/* Check if we are modifying the enhanced password method */%>

            document.LMModifyForm.submit();
         }

         <%/*--------------------------------------------------------------- */
           /* Simply return true.                                            */
           /*--------------------------------------------------------------- */%>

         function isPageValid()
         {
            return true;
         }

         <%/*--------------------------------------------------------------- */
           /* Exit from this task.                                           */
           /*--------------------------------------------------------------- */%>

         function handleCancel()
         {
            document.CancelForm.submit();
         }

         function handleUpdateMethod( selectedIndices, tableData )
         {
            if ( selectedIndices == null || selectedIndices.length == 0 )
            {
               <%/* User has to select at least one item from the list.      */%>
               alert( "<iman:toScript><iman:string key = "NMAS.MustSelect" /></iman:toScript>" );
               return;
            }

            if ( 1 < selectedIndices.length )
            {
               alert( "<iman:toScript><iman:string key = "NMAS.OnlyFirstUpdated" /></iman:toScript>" );
               return;
            }

            var dnArray = new Array();

            dnArray[ 0 ] = tableData[ selectedIndices[ 0 ]][ 1 ];

            utilSetElementValue(
               "<%= UIConst.PARAM_TASK_ACTION  %>",
               "<%= NMASConstants.PARAM_NEXT_ACTION_UPDATE %>" );

            utilSetElementValue(
               "<%= UIConst.PARAM_DN_LIST %>",
               pack( dnArray ));

            utilSubmitDocumentForm( true );
         }

         <%/*--------------------------------------------------------------- */
           /* Ensure that at least one login method has been selected, and   */
           /* see if at least one of the selected items is free.  If not,    */
           /* tell the task that none can be deleted.  Is so, then figure    */
           /* out whether they can all be deleted, and tell the task.        */
           /*--------------------------------------------------------------- */%>

         function handleDeleteMethods( selectedIndices, tableData )
         {
            if ( selectedIndices == null || selectedIndices.length == 0 )
            {
               <%/* User has to select at least one item from the list.      */%>
               alert( "<iman:toScript><iman:string key = "NMAS.MustSelect" /></iman:toScript>" );
               return;
            }

            var delArray = new Array();
            var delIndex = 0;

            for ( i = 0; i < selectedIndices.length; i++ )
            {
               if ( tableData[ selectedIndices[ i ]][ 3 ] == "<%= Boolean.toString( false ) %>" )
               {
                   delArray[ delIndex ] = tableData[ selectedIndices[ i ]][ 1 ];
                   delIndex++;
               }
            }

            if ( 0 == delArray.length )
            {
               if ( 1 < selectedIndices.length )
               {
                  alert( "<iman:toScript><iman:string key = "NMAS.LMDelete.Cannot.Notice.Plural" /></iman:toScript>" );
               }
               else
               {
                  alert( "<iman:toScript><iman:string key = "NMAS.LMDelete.Cannot.Notice.Singular" /></iman:toScript>" );
               }
               return;
            }

            if ( 0 != selectedIndices.length - delArray.length )
            {
               alert( "<iman:toScript><iman:string key = "NMAS.LMDelete.Subset.Notice" /></iman:toScript>" );
            }

            if ( confirm( "<iman:toScript><iman:string key = "NMAS.LMDelete.Subset.Confirm" /></iman:toScript>" ))
            {
               utilSetElementValue(
                  "<%= UIConst.PARAM_TASK_ACTION  %>",
                  "<%= NMASConstants.PARAM_NEXT_ACTION_DELETE %>" );

               utilSetElementValue(
                  "<%= UIConst.PARAM_DN_LIST %>",
                  pack( delArray ));

               utilSubmitDocumentForm( true );
            }
         }

         function handleMenu( menuItemId, selectedIndices, tableData )
         {
            if ( menuItemId == "<%= NMASConstants.PARAM_NEXT_ACTION_NEW %>" )
            {
               utilSetElementValue(
                  "<%= UIConst.PARAM_TASK_ACTION  %>",
                  "<%= NMASConstants.PARAM_NEXT_ACTION_NEW %>" );

               utilSubmitDocumentForm( true );
            }
            else if ( menuItemId == "<%= NMASConstants.PARAM_NEXT_ACTION_DELETE %>" )
            {
               handleDeleteMethods( selectedIndices, tableData );
            }
            else if ( menuItemId == "<%= NMASConstants.PARAM_NEXT_ACTION_UPDATE %>")
            {
               handleUpdateMethod( selectedIndices, tableData );
            }
         }

         function updateDNListandSubmit(
            selectedDN,
            actionValue )
         {
            var dnArray = new Array();

            dnArray[ dnArray.length ] = selectedDN;

            utilSetElementValue( "<%= UIConst.PARAM_DN_LIST    %>", pack( dnArray ));
            utilSetElementValue( "<%= UIConst.PARAM_TASK_ACTION %>", actionValue    );

            utilSubmitDocumentForm( false );
         }

         function handleLink( column, row, tableData )
         {
            if ( column == 1 )
            {
               updateDNListandSubmit(
                  tableData[ row ][ column ],
                  '<%= NMASConstants.PARAM_NEXT_ACTION_EDIT %>' );
            }
         }

         // End of hidden JavaScript -->

      </script>

   </head>

   <body
      onResize = "utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv')"
      onLoad   = "onPageLoad()"
      style    = "overflow: hidden" >
      <form name="LMSelectForm" method="post" action="webacc">

         <nmas:frameVars  />
         <nmas:pageHeader>

            <input type="hidden" name="nextState" value="" />
            <input type="hidden" name="SelectedMethods" value="" />

            <nmas:dataTable
               id                = "methods"
               sourceData        = "<%= data %>"
               menuActionHandler = "handleMenu"
               linkActionHandler = "handleLink"
               titleKey          = "NMAS.LoginMethods" >

               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Blank" />
               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Name" align = "left" />
               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Type" />
               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.InUse" />

               <nmas:menuItem textKey = "NMAS.Common.Menu.New"    id = "<%= NMASConstants.PARAM_NEXT_ACTION_NEW %>" />
               <nmas:menuItem textKey = "NMAS.Common.Menu.Delete" id = "<%= NMASConstants.PARAM_NEXT_ACTION_DELETE %>" disabled = "<%= null == data || 0 == data.getNumberOfRows() %>" />
               <nmas:menuItem textKey = "NMAS.Common.Menu.Update" id = "<%= NMASConstants.PARAM_NEXT_ACTION_UPDATE %>" disabled = "<%= null == data || 0 == data.getNumberOfRows() %>" />

            </nmas:dataTable>
         </nmas:pageHeader>
      </form>

      <%/* Table of buttons.                                                 */%>

      <%--
      <table width="100%" border="0" cellspacing="0" cellpadding="3">
         <tr>
            <td class="ruleabove">
               <a href="javascript:handleCancel()"><img name="Cancel" alt="<%= c.string("Button.Cancel.alt") %>" src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.Cancel.image") %>" border="0"></a>
            </td>
         </tr>
      </table>
      --%>

      <%/* Dummy form for holding hidden variables.                          */%>

      <%--
      <form name="LMDataForm" method="post" action="webacc">

         <% c.set("i", "0");
            while (c.lt(c.var("i"), c.var("AvailableMethods.length"))) { %>
            <input type="hidden" name="AvailableMethods.<%= c.var("i") %>.dn" value="<%= c.var("AvailableMethods."+c.var("i")+ ".dn") %>" />
            <input type="hidden" name="AvailableMethods.<%= c.var("i") %>.rdn" value="<%= c.var("AvailableMethods."+c.var("i")+ ".rdn") %>" />
            <input type="hidden" name="AvailableMethods.<%= c.var("i") %>.status" value="<%= c.var("AvailableMethods."+c.var("i")+ ".status") %>" />
            <% c.inc("i");
            } %>

      </form>
      --%>

      <%--
      <form name="LMModifyForm" method="post" action="webacc" onSubmit="return false">

         <input type="hidden" name="eDir$target" value="<%= c.var("eDir$target") %>" />
         <input type="hidden" name="initialPageId" value="NMAS.LoginMethodDescription" />
         <input type="hidden" name="error" value="dev.GenMsg" />
         <input type="hidden" name="nextState" value="initialState" />
         <input type="hidden" name="NPService" value="fw.LaunchService" />
         <input type="hidden" name="NPAction" value="Delegate" />
         <input type="hidden" name="delegate" value="NMAS.LoginMethodBook" />
         <input type="hidden" name="launcher" value="NMAS.LoginMethodConfiguration" />
         <input type="hidden" name="lifecycle" value="Recreate" />

      </form>
      --%>

      <%--
      <form name="CancelForm" method="post" action="webacc">

         <INPUT type="hidden" name="NPService" value="fw.LaunchService" />
         <INPUT type="hidden" name="NPAction" value="Return" />
         <INPUT type="hidden" name="returnID" value="NMAS.LoginMethodConfiguration" />

      </form>
      --%>

   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
      Exception occured processing JSP page Page_LoginMethods.jsp
<%
   }
%>
