<%/*------------------------------------------------------------------------ */
  /* %full_filespec:   PropertyPage_LoginMethod_CertSearch.jsp~5:ascii:iman_plg#1 %                      */
  /* %derived_by:      ggoodwin %                                             */
  /* %date_modified:   Wed Apr 26 18:02:11 2006 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */%>

<%@ page   pageEncoding = "utf-8"                                        %>
<%@ page   contentType  = "text/html;charset=utf-8"                      %>
<%@ page   import       = "com.novell.emframe.dev.D"                     %>
<%@ page   import       = "com.novell.plugin.imanutil.HttpRequest"       %>
<%@ page   import       = "com.novell.admin.nmas.WidgetID"               %>
<%@ page   import       = "com.novell.plugin.imanutil.StringList"        %>
<%@ page   import       = "com.novell.plugin.imanutil.tags.Table"        %>
<%@ page   import       = "com.novell.plugin.imanutil.TableCellText"     %>
<%@ page   import       = "com.novell.plugin.imanutil.constants.UIConst" %>
<%@ page   import       = "com.novell.emframe.dev.eMFrameUtils"          %>
<%@ taglib uri          = "/WEB-INF/iman.tld"            prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"               prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"            prefix = "nmas" %>

<iman:stringtable bundle = "NMASResources" />
<iman:stringtable bundle = "DevResources" />

<%
   try
   {
      HttpRequest httpRequest  = new HttpRequest( request );

      StringList containerList = (StringList)httpRequest.getAttribute( WidgetID.SEARCH_CONTAINERS_LIST );
      boolean crlValidationEnabled = httpRequest.getAttributeAsBoolean( WidgetID.CRL_VALIDATION_ENABLED, false );
      boolean hasWriteRights = httpRequest.getAttributeAsBoolean( WidgetID.HAS_WRITE_RIGHTS, false );
      boolean hasAdminRights = httpRequest.getAttributeAsBoolean( WidgetID.HAS_ADMIN_RIGHTS, false );


      Table data = new Table( containerList.size(), 1 );

      for ( int i = 0; i < containerList.size(); i++ )
      {
         data.setTableCell(
            i,
            0,
            new TableCellText(
               containerList.getString( i ),
               containerList.getString( i )));
      }
%>
<html>
   <head>
      <title></title>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <nmas:dataTableScripts />
      <iman:eMFrameScripts />
      <iman:osScripts />
      <iman:mvedScripts mode="mvsel"/>

      <nmas:utilScripts     moduleName = "NMAS" />

      <script language="JavaScript">
      <!--
         function onPageLoad()
         {
            utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv');

            utilSetFooterButtons(
               window.okButton |
               window.applyButton |
               window.cancelButton );

            returnFromOS();
         }

         function isDuplicateEntry( word )
         {
            var found = false;

            for ( var i = 0; i < searchContainers_tableData.length; i++ )
            {
               if ( searchContainers_tableData[ i ] == word )
               {
                  found = true;
               }
            }

            return found;
         }

         function okButtonPressed()
         {
            if ( !isDuplicateEntry( utilGetElementValue( "<%= WidgetID.SEARCH_CONTAINER %>" )))
            {
               utilSetElementValue(
                  "<%= UIConst.PARAM_TASK_ACTION     %>",
                  "<%= WidgetID.ADD_SEARCH_CONTAINER %>" );

               utilDisableDialogButtons( 'addSearchContainer' );
               utilSubmitDocumentForm( true );
            }
            else
            {
               alert( utilFormatString( "<iman:toScript><iman:string key = "NMAS.MethodCertSearch.ContainerAlreadyAdded.Error" /></iman:toScript>", utilGetElementValue( "<%= WidgetID.SEARCH_CONTAINER %>" ) ));
            }
         }

         function deleteSearchContainers( selectedIndices, tableData )
         {
            if ( null == selectedIndices || 0 == selectedIndices.length )
            {
               alert( "<iman:toScript><iman:string key = "NMAS.JavaScript.Error.NothingSelected" /></iman:toScript>" );
               return;
            }

            if ( confirm( "<iman:toScript><iman:string key = "NMAS.JavaScript.ConfirmDelete" /></iman:toScript>" ))
            {
               var dataArray = new Array();

               for ( var i = 0; i < selectedIndices.length; i++ )
               {
                  dataArray[ dataArray.length ] = tableData[ selectedIndices[ i ]][ 0 ];
               }

               utilSetElementValue(
                  "<%= UIConst.PARAM_TASK_ACTION     %>",
                  "<%= WidgetID.DEL_SEARCH_CONTAINER %>" );

               utilSetElementValue(
                  "<%= UIConst.PARAM_DN_LIST %>",
                  pack( dataArray ));

               utilSubmitDocumentForm( false );
            }
         }

         function handleMenu( menuItemID, selectedIndices, tableData )
         {
            if ( menuItemID == "<%= WidgetID.ADD_SEARCH_CONTAINER %>" )
            {
               utilSetDialogButtons(
                  'addSearchContainer',
                  window.okButton |
                  window.cancelButton );

               utilActivateDialog ( 'addSearchContainer' );
               utilSetElementFocus( "<%= WidgetID.SEARCH_CONTAINER %>" );
            }
            else if ( menuItemID == "<%= WidgetID.DEL_SEARCH_CONTAINER %>" )
            {
               deleteSearchContainers( selectedIndices, tableData );
            }
         }

         function handleDialogButton( dialogID, button )
         {
            if ( button == "<%= UIConst.CANCEL_BUTTON %>" ||
                 button == "<%= UIConst.CLOSE_BUTTON  %>" )
            {
               utilDeactivateDialog( dialogID );
            }
            else if ( button == "<%= UIConst.OK_BUTTON %>" )
            {
               okButtonPressed();
            }
         }

      //-->
      </script>

      </head>

   <body
      onResize = "utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv')"
      onLoad   = "onPageLoad()"
      style    = "overflow: hidden" >

      <form name = "Form" method = "post" action = "webacc">

         <nmas:frameVars />
         <nmas:pageHeader >

            <div  style = "width: 70%;" >
               <span class = "instructions">
                  <iman:string key = "NMAS.MethodCertSearchConfigInfo" />
               </span>
            </div>
            <div class = "margintop1">
               <input
                  type = "checkbox"
                  name = "<%= WidgetID.CRL_VALIDATION_ENABLED %>"
                  <% if ( !hasAdminRights && !hasWriteRights ) { %>disabled<% } %>
                  <% if ( crlValidationEnabled ) {%>checked<% } %> />&nbsp;<label><iman:string key = "NMAS.ValidateUsingCRLs" /></label>
            </div>
            <div class = "margintop1">
               <nmas:dataTable
                  sourceData        = "<%= data %>"
                  titleKey          = "NMAS.MethodCertSearchContainers"
                  menuActionHandler = "handleMenu"
                  id                = "searchContainers" >
               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Container" />
               <nmas:menuItem id = "<%= WidgetID.ADD_SEARCH_CONTAINER %>" textKey = "NMAS.Common.Menu.New"    />
               <nmas:menuItem id = "<%= WidgetID.DEL_SEARCH_CONTAINER %>" textKey = "NMAS.Common.Menu.Delete" disabled = "<%= 0 == data.getNumberOfRows() %>" />

               </nmas:dataTable>
            </div>

<%--
</td>
</tr>
</table>
--%>

            <nmas:dialog
               id         = "addSearchContainer"
               titleKey   = "NMAS.MethodCertSearch.AddSearchContainerDlg.Title"
               buttonActionHandler = "handleDialogButton" >

                  <table>
                     <tr>
                        <td>
                           <label>
                              <iman:string key = "NMAS.MethodCertSearch.AddSearchContainerDlg.Container.Label" />
                           </label>
                        </td>
                     </tr>
                     <tr>
                        <td>
                           <input
                              type  = "text"
                              name  = "<%= WidgetID.SEARCH_CONTAINER %>"
                              id    = "<%= WidgetID.SEARCH_CONTAINER %>"
                              size  = "70"
                              value = "" /><iman:os
                                 control     = "<%= WidgetID.SEARCH_CONTAINER %>"
                                 typeFilter  = "Organization,Organizational Unit,domain,ndspkiContainer,NDSPKI:Trusted Root"
                                 history     = "true"
                                 multiSelect = "false" />
                        </td>
                     </tr>
                  </table>
            </nmas:dialog>
         </nmas:pageHeader>
      </form>
      <iman:osFooter />
   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
      Exception occured processing PropertyPage_LoginMethod_CertSearch.jsp
<%
   }
%>
