<%/*------------------------------------------------------------------------ */
  /* %full_filespec:   PropertyPage_LoginMethod_EnhancedPswd_Expiration.jsp~3:ascii:iman_plg#1 %                      */
  /* %derived_by:      ggoodwin %                                             */
  /* %date_modified:   Wed May 24 12:34:31 2006 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */%>

<%@ page   pageEncoding = "utf-8"                                  %>
<%@ page   contentType  = "text/html;charset=utf-8"                %>
<%@ page   import       = "com.novell.emframe.dev.D,
                           com.novell.plugin.imanutil.HttpRequest,
                           com.novell.admin.nmas.WidgetID,
                           com.novell.admin.nmas.NMASConstants,
                           java.util.Date"               %>
<%@ page   import       = "com.novell.emframe.dev.eMFrameUtils"    %>
<%@ taglib uri          = "/WEB-INF/iman.tld"      prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"         prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"      prefix = "nmas" %>

<iman:stringtable bundle = "NMASResources" />

<%
   try
   {
      HttpRequest httpRequest = new HttpRequest( request );
      String passwordLifetime = (String)request.getAttribute( WidgetID.PASSWORD_LIFETIME );
      String expirationDays   = (String)request.getAttribute( WidgetID.PASSWORD_EXPIRATION_DAYS );
      long  expirationDate_ms = httpRequest.getAttributeAsLong( WidgetID.EXPIRATION_DATE_MS, 0 );

      String daysChecked = passwordLifetime.equals( WidgetID.PASSWORD_LIFETIME_DAYS ) ? "checked" : "";
      String neverChecked = passwordLifetime.equals( WidgetID.PASSWORD_LIFETIME_NEVER_EXPIRES ) ? "checked" : "";
      String oneTimeChecked = passwordLifetime.equals( WidgetID.PASSWORD_LIFETIME_ONCE ) ? "checked" : "";

      boolean hasWriteRights = httpRequest.getAttributeAsBoolean( WidgetID.HAS_WRITE_RIGHTS, false );
      boolean hasAdminRights = httpRequest.getAttributeAsBoolean( WidgetID.HAS_ADMIN_RIGHTS, false );

      int minExpirationDays = httpRequest.getAttributeAsInt( WidgetID.MIN_EXPIRATION_DAYS, 0 );
      int maxExpirationDays = httpRequest.getAttributeAsInt( WidgetID.MAX_EXPIRATION_DAYS, 0 );
%>
<html>
   <head>
      <title></title>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <nmas:calendarScripts moduleName = "NMAS" />
      <nmas:utilScripts     moduleName = "NMAS" />
      <iman:validateNumberScripts />

      <script language="JavaScript">
      <!--
         function onPageLoad()
         {
            utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv');

            utilSetFooterButtons(
               window.okButton |
               window.applyButton |
               window.cancelButton );

            setNextIssueDate( new Date( <%= expirationDate_ms %> ));

<%
      if ( 0 < expirationDate_ms )
      {
%>
            utilSetElementChecked( "<%= WidgetID.FORCE_ENHANCED_PASSWORD_EXPIRATION %>", true );
<%
      }
%>
<%
      if ( !hasAdminRights && !hasWriteRights )
      {
%>
            utilEnableControl( "<%= WidgetID.FORCE_ENHANCED_PASSWORD_EXPIRATION %>", false );
<%
      }
%>
            changePasswordLifetime();
         }

         function isPageValid()
         {
            return true;
         }

         function changePasswordLifetime()
         {
            if ( utilGetSelectedRadioButton( "<%= WidgetID.PASSWORD_LIFETIME %>" ).value == "<%= WidgetID.PASSWORD_LIFETIME_DAYS %>" )
            {
               utilEnableControl( "<%= WidgetID.PASSWORD_EXPIRATION_DAYS %>", true );
            }
            else
            {
               utilEnableControl( "<%= WidgetID.PASSWORD_EXPIRATION_DAYS %>", false );
            }
         }

         function changeForcePassword()
         {
            utilSetElementValue(
               "<%= WidgetID.FORCE_PASSWORD_CHANGE_DIRTY %>",
               "true" );

            utilEnableControl( "<%= WidgetID.EXPIRATION_DATE %>_textField", false );
         }

         function validateExpirationDays()
         {
            if ( !validateIntegerField(
               utilGetElementByName( "<%= WidgetID.PASSWORD_EXPIRATION_DAYS %>" ),
               <%= maxExpirationDays %>,
               <%= minExpirationDays %> ))
            {
               utilSetElementFocus( "<%= WidgetID.PASSWORD_EXPIRATION_DAYS %>" );
               return false;
            }

            return true;
         }

         function issueDateReturnFunction( y, m, d, h, n )
         {
            var dt = new Date( y, m - 1, d, h, n, 0 );

            utilSetElementValue(
               "<%= WidgetID.EXPIRATION_DATE %>_textField",
               formatDate(
                  dt,
                  "EE, MMM dd, yyyy h:mm:ss:a" ));

            utilSetElementValue( "<%= WidgetID.EXPIRATION_DATE_MS %>", dt.valueOf() );
         }

         function setNextIssueDate( dt )
         {
            issueDateReturnFunction(
               dt.getYear(),
               dt.getMonth() + 1,
               dt.getDate(),
               dt.getHours(),
               dt.getMinutes() );
         }

      -->
      </script>
   </head>

   <body
      onResize = "utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv')"
      onLoad   = "onPageLoad()"
      style    = "overflow: hidden" >

      <form name = "Form" method = "post" action = "webacc">

         <nmas:frameVars />
         <nmas:pageHeader >

            <input
               type  = "hidden"
               name  = "<%= WidgetID.FORCE_PASSWORD_CHANGE_DIRTY %>"
               id    = "<%= WidgetID.FORCE_PASSWORD_CHANGE_DIRTY %>"
               value = "false"/>

            <table>
               <tr>
                  <td colspan = "3" class = "tablesubhead1">
                     <iman:string key = "NMAS.EnhancedPswdPolicy.PasswordLifetime" />
                  </td>
               </tr>
               <tr>
               <td>
                  <input
                     type    = "radio"
                     value   = "<%= WidgetID.PASSWORD_LIFETIME_DAYS %>"
                     <%= daysChecked %>
                     name    = "<%= WidgetID.PASSWORD_LIFETIME %>"
                     id      = "<%= WidgetID.PASSWORD_LIFETIME %>"
                     onclick = "changePasswordLifetime()"><iman:string key = "NMAS.EnhancedPswdPolicy.PasswordLifetimeDays" />
               </td>
               <td>
                  <input
                     type      = "text"
                     name      = "<%= WidgetID.PASSWORD_EXPIRATION_DAYS %>"
                     id        = "<%= WidgetID.PASSWORD_EXPIRATION_DAYS %>"
                     value     = "<%= expirationDays %>"
                     style     = "padding-left:3;padding-right:3;"
                     size      = "5"
                     maxlength = "3"
                     onChange  = "return validateExpirationDays();" />
               </td>
               <td>
                  <iman:spinner elementId = "<%= WidgetID.PASSWORD_EXPIRATION_DAYS %>" />
               </td>
            </tr>
            <tr>
               <td>
                  <input
                     type    = "radio"
                     value   = "<%= WidgetID.PASSWORD_LIFETIME_NEVER_EXPIRES %>"
                     <%= neverChecked %>
                     name    = "<%= WidgetID.PASSWORD_LIFETIME %>"
                     id      = "<%= WidgetID.PASSWORD_LIFETIME %>"
                     onclick = "changePasswordLifetime()"><iman:string key = "NMAS.EnhancedPswdPolicy.NeverExpires" />
               </td>
            </tr>
            <tr>
               <td>
                  <input
                     type    = "radio"
                     value   = "<%= WidgetID.PASSWORD_LIFETIME_ONCE %>"
                     <%= oneTimeChecked %>
                     name    = "<%= WidgetID.PASSWORD_LIFETIME %>"
                     id      = "<%= WidgetID.PASSWORD_LIFETIME %>"
                     onclick = "changePasswordLifetime()"><iman:string key = "NMAS.EnhancedPswdPolicy.OneTimePassword" />
               </td>
            </tr>
         </table>

         <table>
            <tr>
               <td colspan = "3" class = "tablesubhead1"><iman:string key = "NMAS.EnhancedPswdPolicy.PasswordExpiration" /></td>
            </tr>
            <tr>
               <td>
                  <input
                     type    = "checkbox"
                     name    = "<%= WidgetID.FORCE_ENHANCED_PASSWORD_EXPIRATION %>"
                     id      = "<%= WidgetID.FORCE_ENHANCED_PASSWORD_EXPIRATION %>"
                     value   = "true"
                     onclick = "changeForcePassword()"/><iman:string key = "NMAS.EnhancedPswdPolicy.ExpireAllPasswords" />
               </td>
            </tr>
            <tr>
               <td>
                  <input
                     name  = "<%= WidgetID.EXPIRATION_DATE_MS %>"
                     id    = "<%= WidgetID.EXPIRATION_DATE_MS %>"
                     type  = "hidden"
                     value = "<%= expirationDate_ms %>" />
                  <%--<script>--%>
                  <%--   if ( !utilIsElementValueEmpty( "<%= WidgetID.EXPIRATION_DATE_MS %>" ))--%>
                  <%--   {--%>
                  <%--      var date = new Date( parseInt( utilGetElementValue( "<%= WidgetID.EXPIRATION_DATE_MS %>" )));--%>
                  <%----%>
                  <%--      utilSetElementValue(--%>
                  <%--         "<%= WidgetID.EXPIRATION_DATE %>",--%>
                  <%--         date.toLocaleString() );--%>
                  <%----%>
                  <%--      utilSetElementChecked(--%>
                  <%--         "<%= WidgetID.FORCE_ENHANCED_PASSWORD_EXPIRATION %>",--%>
                  <%--         true );--%>
                  <%--   }--%>
                  <%--   else--%>
                  <%--   {--%>
                  <%--      var date = new Date();--%>
                  <%----%>
                  <%--      utilSetElementValue(--%>
                  <%--         "<%= WidgetID.EXPIRATION_DATE %>",--%>
                  <%--         date.toLocaleString() );--%>
                  <%----%>
                  <%--      utilEnableControl(--%>
                  <%--         "<%= WidgetID.EXPIRATION_DATE %>",--%>
                  <%--         false );--%>
                  <%--   }--%>
                  <%--</script>--%>
<%
   Date date = new Date( expirationDate_ms );
%>
                  <nmas:calendar
                     name               = "<%= WidgetID.EXPIRATION_DATE %>"
                     moduleName         = "NMAS"
                     displayFormat      = "EE, MMM dd, yyyy h:mm:ss:a"
                     size               = "50"
                     returnCallback     = "issueDateReturnFunction"
                     value              = "<%= date %>"
                     resourceBundleName = "<%= NMASConstants.NMAS_RESOURCES %>" />
               </td>
            </tr>
         </table>
         </nmas:pageHeader>
      </form>
   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
      Exception occured processing PropertyPage_LoginMethod_EnhancedPswd_Expiration.jsp
<%
   }
%>
