<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   WizardPage_LoginMethod_License.jsp~3:ascii:iman_plg#1 %              */
  /* %derived_by:      ggoodwin %                                            */
  /* %date_modified:   Wed May 24 12:34:33 2006 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */

  /* Make the global definitions required for all PKI Wizard template files  */
  /* This includes STRINGTABLE"s, ...                                        */
%>

<%@ page   pageEncoding = "utf-8"                               %>
<%@ page   contentType  = "text/html;charset=utf-8"             %>

<%@ page   import       = "com.novell.emframe.dev.D,
                           com.novell.admin.nmas.NMASConstants,
                           com.novell.plugin.imanutil.HttpRequest"            %>

<%@ taglib uri          = "/WEB-INF/iman.tld"   prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"      prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"   prefix = "nmas" %>

<iman:stringtable bundle = "NMASResources" />

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<%
   try
   {
      HttpRequest httpRequest = new HttpRequest( request );
      boolean licenseAccepted = httpRequest.getAttributeAsBoolean( NMASConstants.PARAM_ACCEPT_LICENSE, false );
      boolean disableNext     = httpRequest.getAttributeAsBoolean( NMASConstants.PARAM_DISABLE_NEXT, false );
%>
<html>
   <head>
      <title>
      </title>

      <META http-equiv= "content-type" content= "text/html;charset=iso-8859-1"/>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <nmas:utilScripts moduleName = "NMAS" />

      <script language= "JavaScript">
         <!--
         function onPageLoad()
         {
            utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv');

            enableNext( <%= Boolean.toString( licenseAccepted )%> );
         }

         function enableNext( state )
         {
<%
      if ( !disableNext )
      {
%>
            if ( state )
            {
               utilSetFooterButtons(
                  window.backButton |
                  window.nextButton |
                  window.cancelButton );
            }
            else
            {
<%
      }
%>
               utilSetFooterButtons(
                  window.backButton |
                  window.nextDisabledButton |
                  window.cancelButton );
<%
      if ( !disableNext )
      {
%>
            }
<%
      }
%>
         }

         //-->
      </script>

   </head>

   <body
      onResize = "utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv')"
      onLoad   = "onPageLoad()"
      style    = "overflow: hidden" >

      <form
         name     = "Wiz_MainForm"
         method   = "post"
         onSubmit = "return( false )"
         action   = "<c:out value = "${ContextPath}"/>/servlet/frameservice" >

         <nmas:frameVars  />
         <nmas:pageHeader wizard = "true" >

         <div class = "margintop1">&nbsp;</div>
         <textarea style = "width:95%; height: 400px" ><c:out value = "${LicenseText}" /></textarea>
         <div class = "mediumtext margintop1">
         <input
            type    = "radio"
<%
      if ( licenseAccepted )
      {
%>
            checked
<%
      }
%>
            onClick = "enableNext( true );"
            name    = "<%= NMASConstants.PARAM_ACCEPT_LICENSE %>"
            value   = "<%= Boolean.toString( true ) %>" >&nbsp;<iman:string key = "NMAS.MethodWizard_LicensePage.AcceptText" /><br>
         <input
            type    = "radio"
<%
      if ( !licenseAccepted )
      {
%>
            checked
<%
      }
%>
            onClick = "enableNext( false );"
            name    = "<%= NMASConstants.PARAM_ACCEPT_LICENSE %>"
            value   = "<%= Boolean.toString( false )%>" >&nbsp;<iman:string key = "NMAS.MethodWizard_LicensePage.NotAcceptText" />
         </div>
         </nmas:pageHeader>
      </form>
   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
   Exception occured processing JSP page NMAS/WizardPage_LoginMethod_License.jsp
<%
   }
%>
