<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   WizardPage_LoginMethod_Name.jsp~5:ascii:iman_plg#1 %              */
  /* %derived_by:      ggoodwin %                                            */
  /* %date_modified:   Wed May 10 14:30:38 2006 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */

  /* Make the global definitions required for all PKI Wizard template files  */
  /* This includes STRINGTABLE"s, ...                                        */
%>

<%@ page   pageEncoding = "utf-8"                                             %>
<%@ page   contentType  = "text/html;charset=utf-8"                           %>

<%@ page   import       = "com.novell.emframe.dev.D,
                           com.novell.security.japi.nmas.NMASGrades,
                           com.novell.plugin.imanutil.HttpRequest,
                           com.novell.plugin.imanutil.StringUtil,
                           com.novell.plugin.imanutil.tags.Table,
                           com.novell.admin.nmas.WidgetID"                          %>
<%@ page   import       = "com.novell.admin.nmas.WizardPage_LoginMethod_Name" %>
<%@ page   import       = "com.novell.emframe.dev.DirUtils"                   %>
<%@ page   import       = "com.novell.security.japi.nmas.NMASSchema"          %>
<%@ page   import       = "com.novell.admin.nmas.NMASConstants"               %>

<%@ taglib uri          = "/WEB-INF/iman.tld"   prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"      prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"   prefix = "nmas" %>

<iman:stringtable bundle = "NMASResources" />

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<%
   try
   {
      HttpRequest httpRequest = new HttpRequest( request );

      String methodName   = httpRequest.getAttributeAsString( NMASConstants.PARAM_METHOD_NAME );
      String methodVendor = httpRequest.getAttributeAsString( NMASConstants.PARAM_METHOD_VENDOR );
      String methodGrade  = httpRequest.getAttributeAsString( NMASConstants.PARAM_METHOD_GRADE );
      String methodID     = httpRequest.getAttributeAsString( NMASConstants.PARAM_METHOD_ID );
      String methodDesc   = httpRequest.getAttributeAsString( NMASConstants.PARAM_METHOD_DESC );
      String iconPath     = httpRequest.getAttributeAsString( "IconPath" );

      boolean disableNext = httpRequest.getAttributeAsBoolean( NMASConstants.PARAM_DISABLE_NEXT, false );

      boolean postLoginMethod = methodGrade.equalsIgnoreCase( NMASGrades.POST_LOGIN );
      boolean autoCreateSequence = httpRequest.getAttributeAsBoolean( NMASConstants.PARAM_AUTO_CREATE_SEQUENCE, false );

      Table   data = (Table)httpRequest.getAttribute( WidgetID.TABLE_DATA );
      // Only show the add sequence checkbox if this is a login method
      //if ( DirUtils.isOfType(
      //   getParentOE().getObjectType(), NMASSchema.LOGIN_METHOD_CONTAINER_OBJECT, true ) )
      //{
      //   addPage( getSequencePage() );
      //}
%>
<html>
   <head>
      <title>
      </title>

      <META http-equiv= "content-type" content= "text/html;charset=iso-8859-1"/>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <nmas:dataTableScripts />
      <nmas:utilScripts moduleName = "NMAS" />

      <script language= "JavaScript">
         <!--
         function onPageLoad()
         {
            utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv');

            utilSetFooterButtons(
               window.backButton |
<%
      if ( disableNext )
      {
%>
               window.finishDisabledButton |
<%
      }
      else
      {
%>
               window.finishButton |
<%
      }
%>
               window.cancelButton );
         }
         //-->
      </script>

   </head>

   <body
      onResize = "utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv')"
      onLoad   = "onPageLoad()"
      style    = "overflow: hidden" >

      <form
         name     = "Wiz_MainForm"
         method   = "post"
         onSubmit = "return( false )"
         action   = "<c:out value = "${ContextPath}"/>/servlet/frameservice" >

         <nmas:frameVars  />
         <nmas:pageHeader wizard = "true" >
            <div class = "margintop1">
               <table width = "100%">
                  <tr>
                     <td><label><iman:string key = "NMAS.MethodWizard_NamePage.Name.Label" /></label></td>
                     <td>
                        <input
                           type      = "text"
                           name      = "<%= NMASConstants.PARAM_METHOD_NAME %>"
                           id        = "<%= NMASConstants.PARAM_METHOD_NAME %>"
                           maxlength = "64"
                           size      = "40"
                           value     = "<%= methodName %>" />
                     </td>
                     <td rowspan = "4" valign = "top" align = "right" >
<%
   if ( StringUtil.hasString( iconPath ))
   {
%>
               <img src = "<%= iconPath %>" width = "50%" />&nbsp;
<%
   }
%>
                     </td>
                     <td width = "100%">&nbsp;</td>
                  </tr>
<%
   if ( postLoginMethod )
   {
   }
   else
   {
%>
                  <tr>
                     <td>&nbsp;</td>
                     <td>
                        <input
                           type  = "checkbox"
                           name  = "<%= NMASConstants.PARAM_AUTO_CREATE_SEQUENCE %>"
                           id    = "<%= NMASConstants.PARAM_AUTO_CREATE_SEQUENCE %>"
<%
      if ( autoCreateSequence )
      {
%>
                           checked = "checked"
<%
      }
%>
                           value = "true" />&nbsp;<label><iman:string key = "NMAS.AUTO_CREATE_SEQUENCE_LABEL"/></label>
                     </td>
                  </tr>
<%
   }
%>
                  <tr>
                     <td><label><iman:string key = "NMAS.MethodWizard_NamePage.Vendor.Label" /></label></td>
                     <td><%= methodVendor %></td>
                     </td>
                  </tr>
                  <tr>
                     <td><label><iman:string key = "NMAS.MethodWizard_NamePage.Grade.Label" /></label></td>
                     <td><%= methodGrade %></td>
                  </tr>
                  <tr>
                     <td><label><iman:string key = "NMAS.MethodWizard_NamePage.ID.Label" /></label></td>
                     <td><%= methodID %></td>
                  </tr>
<%
      if ( StringUtil.hasString( methodDesc ))
      {
%>
                  <tr>
                     <td valign = "top" ><label><iman:string key = "NMAS.MethodWizard_NamePage.Description.Label" /></label></td>
                     <td colspan = "2" class = "mediumtext" style = "white-space:normal"><%= methodDesc %></td>
                  </tr>
<%
      }
%>
               </table>
            </div>

            <div class = "margintop1">
               <nmas:dataTable
                  id                = "methodInfo"
                  menuActionHandler = "handleMenu"
                  sourceData        = "<%= data %>"
                  readOnly          = "true"
                  titleKey          = "NMAS.AVAILABLE_METHODS_INSTRUCTIONS" >
                  <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Method" />
                  <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Platform" />
                  <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Size" />
               </nmas:dataTable>
            </div>

         </nmas:pageHeader>
      </form>
   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
   Exception occured processing JSP page NMAS/WizardPage_LoginMethod_Name.jsp
<%
   }
%>
