<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   PropertyPage_LoginMethod_Description.jsp~idc_nmas#3:ascii:iman_plg#1 %                  */
  /* %derived_by:      gshipra %                                             */
  /* %date_modified:   Thu Mar 16 16:16:08 2006 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */%>

<%@ page   pageEncoding = "utf-8"                                    %>
<%@ page   contentType  = "text/html;charset=utf-8"                  %>
<%@ page   import       = "com.novell.webaccess.common.JSPConduit"   %>
<%@ page   import       = "com.novell.plugin.imanutil.HttpRequest"   %>
<%@ page   import       = "com.novell.plugin.imanutil.tags.Table"    %>
<%@ page   import       = "com.novell.emframe.dev.D"                 %>
<%@ page   import       = "java.util.List"                           %>
<%@ page   import       = "com.novell.plugin.imanutil.TableCell"     %>
<%@ page   import       = "com.novell.plugin.imanutil.TableCellText" %>
<%@ page   import       = "com.novell.emframe.dev.eMFrameUtils"      %>
<%@ taglib uri          = "/WEB-INF/iman.tld"        prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"           prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"        prefix = "nmas" %>
<%
   JSPConduit c = JSPConduit.getJSPConduit(request);
%>
<iman:stringtable bundle = "NMASResources" />
<%
   try
   {
      HttpRequest httpRequest = new HttpRequest( request );

      String methodName  = httpRequest.getAttributeAsString( "MethodNameParam" );
      String methodDesc  = httpRequest.getAttributeAsString( "MethodDescParam" );
      String methodGrade = httpRequest.getAttributeAsString( "MethodGradeParam" );
      String vendorName  = httpRequest.getAttributeAsString( "VendorNameParam"  );
      Object noLockOutPeriod ;
      int noLockOutPeriodNum = 0;
      boolean NDSMethod = false;

      if(methodName.equalsIgnoreCase("NDS"))
      {
         NDSMethod = true;
	     noLockOutPeriod = request.getAttribute("noLockOutPeriodParam");
		 if(noLockOutPeriod != null ) 
		 {
		    noLockOutPeriodNum = new Integer(noLockOutPeriod.toString());
		 }
      }


      List clientList    = (List)request.getAttribute( "clientList" );

      Table data = new Table( clientList.size(), 1 );

      for ( int i = 0; i < clientList.size(); i++ )
      {
         data.setTableCell(
            i,
            0,
            new TableCellText(
               (String)clientList.get( i ),
               (String)clientList.get( i )));
      }
%>
<html>
   <head>
      <title><%= c.var("bookTitle") %></title>
      <jsp:include page='<%= c.getPath("dev/eMFrameScripts_inc.jsp") %>' flush="true" />
      <jsp:include page='<%= c.getPath("dev/ValidateIntegerScripts_inc.jsp") %>' flush="true" />
      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <nmas:dataTableScripts />

      <iman:osScripts   />
      <iman:pageScripts />

      <nmas:utilScripts moduleName = "NMAS" />
      <script language="JavaScript">
      <!--
         function onPageLoad()
         {
            utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv');

            utilSetFooterButtons(
               window.okButton |
               window.applyButton |
               window.cancelButton );
         }

         function isPageValid()
         {
            // Called when user leaves this page or applies changes
            return true;
         }
      //-->
      </script>
   </head>

   <body
      onResize = "utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv')"
      onLoad   = "onPageLoad()"
      style    = "overflow: hidden" > 

      <form name="Form" method="post" action="webacc">

         <nmas:frameVars  />
         <nmas:pageHeader>

            <table cellspacing = 0>
               <%/*-- method name text area -- */%>
               <tr class = "rowaltcolor" >
                  <td align = "left" valign = "top">
                     <label><iman:string key = "NMAS.MethodDescPage.Name" /></label>&nbsp;
                  </td>
                  <td><%= methodName %></td>
               </tr>
               <%/*-- method description text area -- */%>
               <tr>
                  <td align = "left" valign = "top">
                     <label><iman:string key = "NMAS.MethodDescPage.Description" /></label>&nbsp;
                  </td>
                  <td style = "white-space: normal" ><%= methodDesc %></td>
               </tr>
               <%/*-- method advisory grade text area -- */%>
               <tr class = "rowaltcolor" >
                  <td align = "left" valign = "top">
                     <label><iman:string key = "NMAS.MethodDescPage.Grade" /></label>&nbsp;
                  </td>
                  <td><%= methodGrade %></td>
               </tr>
               <%/*-- vendor name text area -- */%>
               <tr>
                  <td align = "left" valign = "top">
                     <label><iman:string key = "NMAS.MethodDescPage.Vendor" /></label>&nbsp;
                  </td>
                  <td><%= vendorName %></td>
               </tr>
	    <%
	       if(NDSMethod)
	       {
	    %>
	       <tr>
              <td align = "left" valign = "top" class = "smalltext"><NOBR><iman:string key = "NMAS.MethodDescPage.NoIntruderLockOutPeriod" /></NOBR>&nbsp;</td>
              <td><input type="text" name="noLockOutPeriod" value="<%= noLockOutPeriodNum %>" id="noLockOutPeriod" style="padding-left:3;padding-right:3;" size="5" maxlength="3" onChange='if(!validateIntegerField(this,0,127)){this.focus();return false;}'></td>
              <td align = "left" valign = "top" ><iman:spinner elementId="noLockOutPeriod" /></td>
           </tr>
	    <%
	       }
	    %>

            </table>
			<%
			if(NDSMethod)
			{
			%>
			<table>
			   <tr>
			      <td align = "left" valign = "top" colspan="48" class="smalltext2d"> <iman:string key = "NMAS.MethodDescPage.Note" /></td>
			   </tr>
			</table>
			<%
			}
			%>
            <br>
            <nmas:dataTable
               id                = "clientList"
               menuActionHandler = "handleMenu"
               sourceData        = "<%= data %>"
               readOnly          = "true"
               titleKey          = "NMAS.Modules" >
               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Name" />
            </nmas:dataTable>

         <%--
         <table width="80%">
            <%/*-- the method"s supported modules list box -- */%>
            <tr>
               <td class="smalltext2b" >
                  <iman:string key = "NMAS.Modules" />
               </td>
            </tr>
            <tr>
               <td valign="top">
                  <select class = "smalltext" name="LoginMethodModules" size="6" style="width:360" disable>
                  <% c.set("i", "0");
                     while (c.lt(c.var("i"), c.var("LoginMethodModules.count"))) { %>
                  <option value="<%= c.var("LoginMethodModules."+c.var("i")) %>"><%= c.var("LoginMethodModules."+c.var("i")) %></option>
                     <% c.inc("i");
                     } %>
                    </select>
               </td>
            </tr>
         </table>
         --%>
         </nmas:pageHeader>
      </form>
   </body>
</html>
<%
   }
   catch (Exception e)
   {
      D.log( e );
%>
      Exception occured processing JSP page NMAS/PropertyPage_LoginMethod_Description.jsp
<%
   }
%>
