<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   PropertyPage_SecurityPolicy_ClearanceDefinition.jsp~2:ascii:iman_plg#1 %                      */
  /* %derived_by:      ggoodwin %                                             */
  /* %date_modified:   Wed May 10 14:30:29 2006 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */%>

<%@ page   pageEncoding = "utf-8"                                  %>
<%@ page   contentType  = "text/html;charset=utf-8"                %>
<%@ page   import       = "com.novell.emframe.dev.D,
                           java.util.List,
                           com.novell.plugin.imanutil.HttpRequest,
                           com.novell.admin.nmas.NMASConstants"               %>
<%@ page   import       = "com.novell.plugin.imanutil.constants.UIConst" %>
<%@ page   import       = "com.novell.emframe.dev.eMFrameUtils"    %>
<%@ taglib uri          = "/WEB-INF/iman.tld"      prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"         prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"      prefix = "nmas" %>

<iman:stringtable bundle = "NMASResources" />

<%
   try
   {
      HttpRequest httpRequest;
      List        clearanceList;
      List        readLabelList;
      List        writeLabelList;
      String      currentClearance;
      String      selectedReadLabel;
      String      selectedWriteLabel;
      boolean     canModifyR;
      boolean     canModifyW;

      httpRequest = new HttpRequest( request );

      clearanceList  = (List)httpRequest.getAttribute( "clearanceList"  );
      readLabelList  = (List)httpRequest.getAttribute( "readLabelList"  );
      writeLabelList = (List)httpRequest.getAttribute( "writeLabelList" );

      currentClearance   = httpRequest.getAttributeAsString( "currentClearance"   );
      selectedReadLabel  = httpRequest.getAttributeAsString( "selectedReadLabel"  );
      selectedWriteLabel = httpRequest.getAttributeAsString( "selectedWriteLabel" );

      canModifyR = httpRequest.getAttributeAsBoolean( "canModifyR", false );
      canModifyW = httpRequest.getAttributeAsBoolean( "canModifyW", false );
%>
<html>
   <head>
      <title></title>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <nmas:utilScripts moduleName = "NMAS" />

      <script language="JavaScript">
      <!--
         function onPageLoad()
         {
            utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv');

            utilSetFooterButtons(
               window.okButton |
               window.applyButton |
               window.cancelButton );

            utilSelectOptionByValue( "<%= NMASConstants.PARAM_DEFAULT_CLEARANCE %>", "<%= currentClearance   %>" );
            utilSelectOptionByValue( "readLabel",        "<%= selectedReadLabel  %>" );
            utilSelectOptionByValue( "writeLabel",       "<%= selectedWriteLabel %>" );

            utilEnableControl( "readLabel",  <%= canModifyR %> );
            utilEnableControl( "writeLabel", <%= canModifyW %> );
         }

         function onSwitchClearance()
         {
            utilSubmitDocumentForm( false );
         }

         function onChangeReadLabel()
         {
            utilSubmitDocumentForm( false );
         }

         function onNewSelected()
         {
            var strName = prompt( "Enter new clearance name:", "" );

            if ( strName == null || strName == "" )
            {
               return;
            }

            // Check to see that length of the name is 31 characters or less
            if ( strName.length > 31 )
            {
               alert( "Name is too long, must be 31 characters or less" );
               return;
            }

            utilSetElementValue(
               "<%= UIConst.PARAM_TASK_ACTION %>",
               "newClearance" );

            utilSetElementValue( "clearanceName", strName );

            utilSubmitDocumentForm( true );
         }

         function onRenameSelected()
         {
         with ( document.Form )
         {
         var index = defaultClearance.selectedIndex;

         if ( index == -1 )
         {
         return;
         }

         var oldName = defaultClearance.options[ index ].value;

         var strName = prompt( "Enter new clearance name:", oldName );

         if ( strName == null || strName == oldName )
         {
         return;
         }

         // Check to see that length of the name is 31 characters or less
         if ( strName.length > 31 )
         {
         alert( "Name is too long, must be 31 characters or less" );
         return;
         }

         action.value = "renameClearance";
         clearanceName.value = strName;

            utilSubmitDocumentForm( true );
         }
         }

         function isPageValid()
         {
            return true;
         }
      //-->
      </script>
   </head>

   <body
      onResize = "utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv')"
      onLoad   = "onPageLoad()"
      style    = "overflow: hidden" >

      <form name="Form" method="post" action="webacc">

         <nmas:frameVars />
         <nmas:pageHeader>

            <input type = "hidden" name = "clearanceName" 	value = ""/>

            <table>
               <tr>
                  <td colspan="2">
                     <label><iman:string key = "gams.DEFINED_CLEARANCE_LABEL" /></label>
                  </td>
               </tr>
               <tr>
                  <td align = "right">
                     <label><iman:string key = "gams.CLEARANCE_LABEL" /></label>
                  </td>
                  <td>
                     <select
                        name     = "<%= NMASConstants.PARAM_DEFAULT_CLEARANCE %>"
                        id       = "<%= NMASConstants.PARAM_DEFAULT_CLEARANCE %>"
                        style    = "width:450px"
                        onChange = "onSwitchClearance()">
<%
   for ( int i = 0; i < clearanceList.size(); i++ )
   {
      String clearance = (String)clearanceList.get( i );
%>
                           <option value = "<%= clearance %>" ><%= clearance %></option>
<%
   }
%>
                     </select>
                     &nbsp;&nbsp;<nobr />
                     <A
                        HREF    = "#"
                        onClick = "javascript:onNewSelected();return false"><IMG
                           src    = "/nps/portal/modules/dev/images/en/btnnew_en.gif"
                           alt    = "new"
                           title  = "new"
                           border = 0 ></A>
                     &nbsp;&nbsp;<nobr />
                     <A HREF    = "#"
                        onClick = "javascript:onRenameSelected();return false"><IMG
                        src    = "/nps/portal/modules/dev/images/en/btnrename_en.gif"
                        alt    = "rename"
                        title  = "rename"
                        border = 0></A>
                  </td>
               </tr>
               <tr>
                  <td align="right">
                     <label><iman:string key = "gams.READ_LABEL_LABEL" /></label>
                  </td>
                  <td>
                     <select
                        name     = "readLabel"
                        id       = "readLabel"
                        style    = "width:450px"
                        onChange = "onChangeReadLabel()" >
<%
   for ( int i = 0; i < readLabelList.size(); i++ )
   {
      String label = (String)readLabelList.get( i );
%>
                           <option value = "<%= label %>" ><%= label %></option>
<%
   }
%>
                     </select>
                  </td>
               </tr>
               <tr>
                  <td align="right">
                  <label><iman:string key = "gams.WRITE_LABEL_LABEL" /></label>
                  </td>
                  <td>
                     <select
                        name  = "writeLabel"
                        id    = "writeLabel"
                        style = "width:450px">
<%
   for ( int i = 0; i < writeLabelList.size(); i++ )
   {
      String label = (String)writeLabelList.get( i );
%>
                           <option value = "<%= label %>" ><%= label %></option>
<%
   }
%>
                     </select>
                  </td>
               </tr>
            </table>

            <div class = "margintop3" style = "width:65%">
               <span class = "instructions"><iman:string key = "gams.CLEARANCE_DEFINITION_NOTE" /></span>
            </div>

         </nmas:pageHeader>
      </form>
   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
      Exception occured processing PropertyPage_SecurityPolicy_ClearanceDefinition.jsp
<%
   }
%>
