<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   PropertyPage_UserSequences.jsp~idc_nmas#12:ascii:iman_plg#1 %                  */
  /* %derived_by:      prabhishek %                                             */
  /* %date_modified:   Thu Aug 02 13:37:06 2007 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */%>

<%@ page   pageEncoding = "utf-8"                                    %>
<%@ page   contentType  = "text/html;charset=utf-8"                  %>
<%@ page   import       = "com.novell.webaccess.common.JSPConduit,
                           com.novell.plugin.imanutil.UIContext,
                           com.novell.admin.nmas.NMASConstants,
                           com.novell.plugin.imanutil.constants.UIConst,
                           com.novell.plugin.imanutil.HttpRequest,
                           com.novell.plugin.imanutil.StringUtil,
                           com.novell.plugin.imanutil.tags.Table,
                           com.novell.admin.nmas.WidgetID,
                           com.novell.emframe.dev.D"   %>
<%@ page   import       = "com.novell.emframe.dev.eMFrameUtils"      %>
<%@ taglib uri          = "/WEB-INF/iman.tld"        prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"           prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/fmt.tld"         prefix = "fmt"  %>
<%@ taglib uri          = "/WEB-INF/util.tld"        prefix = "nmas" %>

<iman:stringtable bundle = "NMASResources" />

<%
   try
   {
      boolean restrictSequences = false;
      boolean showLoginDelay    = false;
      /*
      HttpRequest httpRequest = new HttpRequest( request );
      boolean restrictSequences = httpRequest.getAttributeAsBoolean( WidgetID.RESTRICT_SEQUENCES, false );
      String  titleExtra;
      int     numAuthorized   = httpRequest.getAttributeAsInt( "numAuthorized", 0 );
      int     numUnauthorized = httpRequest.getAttributeAsInt( "numUnauthorized", 0 );
      String  userName        = httpRequest.getAttributeAsString( "UserName" );
      boolean showLoginDelay  = httpRequest.getAttributeAsBoolean( WidgetID.SHOW_LOGIN_DELAY );
      int     loginDelay      = httpRequest.getAttributeAsInt  ( WidgetID.LOGIN_DELAY, NMASConstants.DEFAULT_LOGIN_DELAY );
      Table   data            = (Table)httpRequest.getAttribute( WidgetID.TABLE_DATA );

      titleExtra = "<input type = \"checkbox\" name = \"" + WidgetID.RESTRICT_SEQUENCES + "\" ";

      if ( restrictSequences )
      {
         titleExtra += "checked ";
      }

      titleExtra += "value   = \"true\" ";
      titleExtra += "onClick = \"handleRestrict(this.checked)\" />";
      titleExtra += "<span style = \"font-weight: normal\">";
      titleExtra +=  eMFrameUtils.formatMessage(
         StringUtil.getString( NMASConstants.NMAS_RESOURCES, "NMAS.RestrictTo", request ),
         new String[] { userName } );

      titleExtra += "</span>";
      */
%>
<html>
   <head>
      <title></title>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <iman:eMFrameScripts />
      <nmas:dataTableScripts />

      <iman:osScripts />
      <iman:pageScripts />

      <nmas:utilScripts moduleName = "NMAS" />

   <script language="JavaScript">
   <!--
         function pageInit()
         {
            var iFrame = document.getElementById( "nmasContent" )

            if ( null != iFrame )
            {
               var url;

               url  = window.location.protocol + "//";
               url += window.location.hostname;

               if ( window.location.port != "" )
               {
                  url += ":";
                  url += window.location.port;
               }

               url += "/nps/servlet/frameservice";
               url += "?NPAction=Launch";
               url += "&launch=NMAS.LoginSequenceConfiguration";
               url += "&launcher=<%= request.getAttribute( "taskId" ) %>";
               url += "&lifecycle=new";
               url += "&NPService=fw.LaunchService";
               url += "&target=<%= request.getAttribute( "target" ) %>";

               iFrame.src = url;
            }
         }

      <%/*--------------------------------------------------------------------------------------------- */
        /*--       Enable select controls and select contents according to state of "restrict" button  */
        /*--------------------------------------------------------------------------------------------- */%>
      function handleRestrict( doRestrict )
      {
         utilSubmitDocumentForm( true );
      }

      function isPageValid() <%/*-- called when user leaves this page or applies changes -- */%>
      {
         return true;
      }

      function doMakeDefault( selectedIndices, tableData )
      {
         if ( null == selectedIndices ||
              0 == selectedIndices.length ||
              1 <  selectedIndices.length )
         {
            alert( "<iman:toScript><iman:string key = "NMAS.JavaScript.Error.OneAndOnlyOne" /></iman:toScript>" );
            return;
         }

<%
      if ( restrictSequences )
      {
%>
         if ( tableData[ selectedIndices[ 0 ]][ 3 ] == "" )
         {
            alert( "<iman:toScript><iman:string key = "NMAS.JavaScript.Error.OnlyAuthorized" /></iman:toScript>" );
            return;
         }
<%
      }
%>

         var dnArray = new Array();

         dnArray[ dnArray.length ] = tableData[ selectedIndices[ 0 ]][ 0 ];

         utilSetElementValue( "<%= UIConst.PARAM_DN_LIST    %>", pack( dnArray ));
         utilSetElementValue( "<%= UIConst.PARAM_TASK_ACTION %>", "<%= NMASConstants.PARAM_NEXT_ACTION_MAKE_DEFAULT %>" );

         utilSubmitDocumentForm( false );
      }

      function doAuthorizeSequence( selectedIndices, tableData, action )
      {
         if ( null == selectedIndices ||
              0 == selectedIndices.length )
         {
            alert( "<iman:toScript><iman:string key = "NMAS.JavaScript.Error.NoSequenceSelected" /></iman:toScript>" );
            return;
         }

         var dnArray = new Array();

         for ( var i = 0; i < selectedIndices.length; i++ )
         {
            dnArray[ dnArray.length ] = tableData[ selectedIndices[ i ]][ 0 ];
         }

         utilSetElementValue( "<%= UIConst.PARAM_DN_LIST    %>", pack( dnArray ));
         utilSetElementValue( "<%= UIConst.PARAM_TASK_ACTION %>", action );

         utilSubmitDocumentForm( false );
      }

      function handleMenu( menuItemId, selectedIndices, tableData )
      {
         if ( menuItemId == "<%= NMASConstants.PARAM_NEXT_ACTION_MAKE_DEFAULT %>" )
         {
            doMakeDefault( selectedIndices, tableData );
         }
         else
         {
            doAuthorizeSequence( selectedIndices, tableData, menuItemId );
         }
      }

      //-->
      </script>
   </head>

   <body onLoad = "return pageInit()" >
      <form name="Form" method="post" action="webacc">

         <nmas:frameVars  />
         <iman:messagebar />
         <iman:bookvars   />

         <iframe
            frameborder  = "0"
            width        = "100%"
            height       = "100%"
            name         = "nmasContent"
            id           = "nmasContent"
            marginheight = "0"
            marginwidth  = "0"
            style        = "padding: 0px"
            src          = "webacc?taskId=dev.Empty&merge=fw.Empty" >
         </iframe>

<%
      if ( showLoginDelay )
      {
%>
         <%--
         <table cellpadding = '0' cellspacing = '0'>
            <tr>
               <td>
                  <label><iman:toScript><iman:string key = "NMAS.FailedLoginDelayTime" /></iman:toScript></label>&nbsp;
               </td>
               <td>
                  <input
                     type  = "text"
                     name  = "<%= WidgetID.LOGIN_DELAY %>"
                     id    = "<%= WidgetID.LOGIN_DELAY %>"
                     size  = "5"
                     style = "text-align: right"
                     value = "<%= loginDelay %>" />
               </td>
               <td class = "instructions">
                  &nbsp;<iman:toScript><iman:string key = "NMAS.TimeInSeconds" /></iman:toScript>
               </td>
               <td width = "100%">&nbsp;</td>
            </tr>
         </table>

         <div class = "margintop3">
         --%>
<%
      }
%>

            <%--
            <nmas:dataTable
               id                = "sequenceList"
               menuActionHandler = "handleMenu"
               titleKey          = "NMAS.UserSequencesTabTitle"
               titleExtra        = "<%= titleExtra %>"
               sourceData        = "<%= data %>" >
               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Name"  />
               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Grade" />
               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.DefaultSequence" />
               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.AuthorizedSequence" />

               <nmas:menuItem id = "<%= NMASConstants.PARAM_NEXT_ACTION_MAKE_DEFAULT %>" textKey = "NMAS.Common.Menu.MakeDefault"         disabled = "<%= 0 == numAuthorized   %>" />
               <nmas:menuItem id = "<%= NMASConstants.PARAM_NEXT_ACTION_AUTHORIZE %>"    textKey = "NMAS.Common.Menu.AuthorizeSequence"   disabled = "<%= 0 == numUnauthorized || !restrictSequences %>" />
               <nmas:menuItem id = "<%= NMASConstants.PARAM_NEXT_ACTION_DEAUTHORIZE %>"  textKey = "NMAS.Common.Menu.DeauthorizeSequence" disabled = "<%= 0 == numAuthorized   || !restrictSequences %>" />
            </nmas:dataTable>
            --%>
<%
      if ( showLoginDelay )
      {
%>
         <%--
         </div>
         --%>
<%
      }
%>
      </form>
   </body>
</html>
<%
   }
   catch (Exception e)
   {
      D.log( e );
%>
      Exception occured processing PropertyPage_UserSequences.jsp
<%
   }
%>
