<%@  page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils,
                                                                             com.novell.admin.nmas.NMASConstants" %>
<%   JSPConduit c = JSPConduit.getJSPConduit(request); %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>

<jsp:include page='<%= c.getPath("NMAS/NMASIncludes_inc.jsp") %>' flush="true" />
<% try  { %><HTML>
<head>
	<title><%= c.var("bookTitle") %></title>
	<jsp:include page='<%= c.getPath("NMAS/NMASStyles_inc.jsp") %>' flush="true" />
	<jsp:include page='<%= c.getPath("dev/OSScripts_inc.jsp") %>' flush="true" />

	<SCRIPT language="JavaScript" src="<%= c.getModulesUrl() + "/dev/javascripts/" %>PageScripts.js"></script>
	<script language="JavaScript">
	<!--
		<jsp:include page='<%= c.getPath("NMAS/SelectControl_js.jsp") %>' flush="true" />
		function pageInit()
		{
			with ( document.Form )
			{
				defaultClearance.selectedIndex = <%= c.var( "currentClearance" ) %>;
				readLabel.selectedIndex = <%= c.var( "selectedReadLabel" ) %>;
				writeLabel.selectedIndex = <%= c.var( "selectedWriteLabel" ) %>;

				readLabel.disabled = ( "<%= c.var( "canModifyR" ) %>" == "false" );
				writeLabel.disabled = ( "<%= c.var( "canModifyW" ) %>" == "false" );
			}
		}

		function onSwitchClearance()
		{
			document.Form.submit();
		}

		function onChangeReadLabel()
		{
			document.Form.submit();
		}

		function onNewSelected()
		{
			var strName = prompt( "Enter new clearance name:", "" );

			if ( strName == null || strName == "" )
			{
				return;
			}

			// Check to see that length of the name is 31 characters or less
			if ( strName.length > 31 )
			{
				alert( "Name is too long, must be 31 characters or less" );
				return;
			}

			document.Form.action.value = "newClearance";
			document.Form.clearanceName.value = strName;

			isPageValid();

			document.Form.submit();
		}

		function onRenameSelected()
		{
			with ( document.Form )
			{
				var index = defaultClearance.selectedIndex;

				if ( index == -1 )
				{
					return;
				}

				var oldName = defaultClearance.options[ index ].value;

				var strName = prompt( "Enter new clearance name:", oldName );

				if ( strName == null || strName == oldName )
				{
					return;
				}

				// Check to see that length of the name is 31 characters or less
				if ( strName.length > 31 )
				{
					alert( "Name is too long, must be 31 characters or less" );
					return;
				}

				action.value = "renameClearance";
				clearanceName.value = strName;

				isPageValid();

				submit();
			}
		}

		function isPageValid()
		{
			return true;
		}
	//-->
	</script>
</head>

<body onLoad="return pageInit()">
<form name="Form" method="post" action="webacc">
	<jsp:include page='<%= c.getPath("dev/Messagebar_inc.jsp") %>' flush="true" />
	<jsp:include page='<%= c.getPath("dev/BookVars_inc.jsp") %>' flush="true" />

	<input type = "hidden" name = "action" 			value = "doNothing"/>
	<input type = "hidden" name = "clearanceName" 	value = ""/>

	<table>
		<tr>
			<td colspan="2">
				<%= c.string( "gams.DEFINED_CLEARANCE_LABEL" ) %>
			</td>
		</tr>
		<tr>
			<td align="right">
				<%= c.string( "gams.CLEARANCE_LABEL" ) %>
			</td>
			<td>
				<select name="<%= NMASConstants.PARAM_DEFAULT_CLEARANCE %>" id = "<%= NMASConstants.PARAM_DEFAULT_CLEARANCE %>" style="width:450px" onChange="onSwitchClearance()">
					<c:forEach items="${clearanceList}" var="element">
						<option value="<c:out value="${element}"/>" ><c:out value="${element}"/></option>
			     	</c:forEach>
				</select>
				&nbsp;&nbsp;<nobr />
				<A HREF="#" onClick="javascript:onNewSelected();return false"><IMG src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.New.image") %>" alt="<%= toSecureHTMLEncode(c.string("Button.New.alt")) %>" title="<%= toSecureHTMLEncode(c.string("Button.New.alt")) %>" border=0></A>
				&nbsp;&nbsp;<nobr />
				<A HREF="#" onClick="javascript:onRenameSelected();return false"><IMG src="<%= c.getModulesUrl() + "/dev/images/" + c.string("NMAS.LangID") + "/btnrename_" + c.string( "NMAS.LangID" ) + ".gif" %>" alt="<%= toSecureHTMLEncode(c.string("Button.New.alt")) %>" title="<%= toSecureHTMLEncode(c.string("Button.New.alt")) %>" border=0></A>
			</td>
		</tr>
		<tr>
			<td align="right">
				<%= c.string( "gams.READ_LABEL_LABEL" ) %>
			</td>
			<td>
				<select name="readLabel" style="width:450px" onChange="onChangeReadLabel()">
					<c:forEach items="${readLabelList}" var="element">
						<option value="<c:out value="${element}"/>" ><c:out value="${element}"/></option>
			     	</c:forEach>
				</select>
			</td>
		</tr>
		<tr>
			<td align="right">
				<%= c.string( "gams.WRITE_LABEL_LABEL" ) %>
			</td>
			<td>
				<select name="writeLabel" style="width:450px">
					<c:forEach items="${writeLabelList}" var="element">
						<option value="<c:out value="${element}"/>" ><c:out value="${element}"/></option>
			     	</c:forEach>
				</select>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td colspan="2">
				<%= c.string( "gams.CLEARANCE_DEFINITION_NOTE" ) %>
			</td>
		</tr>
	</table>

</form>
</body></HTML> <% } catch (Exception e) { e.printStackTrace(); %>Exception occured processing JSP page<% } %>
