<%@  page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils" %>
<%   JSPConduit c = JSPConduit.getJSPConduit(request); %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>

<jsp:include page='<%= c.getPath("NMAS/NMASIncludes_inc.jsp") %>' flush="true" />
<% try  { %><HTML>
<head>
	<title><%= c.var("bookTitle") %></title>

	<jsp:include page='<%= c.getPath("NMAS/NMASStyles_inc.jsp") %>' flush="true" />
	<jsp:include page='<%= c.getPath("dev/OSScripts_inc.jsp") %>' flush="true" />

	<style media="screen" type="text/css">
   	<!--
			<% c.set("i", "0"); %>
			<c:forEach items="${securityLabels}" var="element">
		   	#divLabel<%= c.var("i") %> {	POSITION: absolute;
								VISIBILITY: hidden;
								BACKGROUND-COLOR: #fff;
								Z-INDEX: 4 }
				<% c.inc("i"); %>
        	</c:forEach>
	-->
	</style>

	<jsp:include page='<%= c.getPath("NMAS/DivUtils_js.jsp") %>' flush="true" />

	<SCRIPT language="JavaScript" src="<%= c.getModulesUrl() + "/dev/javascripts/" %>PageScripts.js"></script>
	<script language="JavaScript">
	<!--
		<jsp:include page='<%= c.getPath("NMAS/SelectControl_js.jsp") %>' flush="true" />

		var activeIndex = -1;
		var stateArray = new Array();
		var labelArray = new Array();
		var availableSecrecyArray = new Array();
		var availableIntegrityArray = new Array();
		var usedSecrecyArray = new Array();
		var usedIntegrityArray = new Array();

		function pageInit()
		{
			<c:forEach items="${stateArray}" var="element">
				stateArray[ stateArray.length ] = "<c:out value="${element}"/>";
			</c:forEach>

			<% c.set( "i", "0" ); %>

			<c:forEach items="${securityLabels}" var="element">
				labelArray[ labelArray.length ] = "<c:out value="${element}"/>";

				availableSecrecyArray[ "<c:out value="${element}"/>" ] = new Array();
				availableIntegrityArray[ "<c:out value="${element}"/>" ] = new Array();
				usedSecrecyArray[ "<c:out value="${element}"/>" ] = new Array();
				usedIntegrityArray[ "<c:out value="${element}"/>" ] = new Array();

				<c:forEach items="${availSecrecyLabels[ i ]}" var="element2">
					availableSecrecyArray[ "<c:out value="${element}"/>" ][ availableSecrecyArray[ "<c:out value="${element}"/>" ].length ] = "<c:out value="${element2}"/>";
				</c:forEach>

				<c:forEach items="${usedSecrecyLabels[ i ]}" var="element2">
					usedSecrecyArray[ "<c:out value="${element}"/>" ][ usedSecrecyArray[ "<c:out value="${element}"/>" ].length ] = "<c:out value="${element2}"/>";
				</c:forEach>

				<c:forEach items="${availIntegrityLabels[ i ]}" var="element2">
					availableIntegrityArray[ "<c:out value="${element}"/>" ][ availableIntegrityArray[ "<c:out value="${element}"/>" ].length ] = "<c:out value="${element2}"/>";
				</c:forEach>

				<c:forEach items="${usedIntegrityLabels[ i ]}" var="element2">
					usedIntegrityArray[ "<c:out value="${element}"/>" ][ usedIntegrityArray[ "<c:out value="${element}"/>" ].length ] = "<c:out value="${element2}"/>";
				</c:forEach>

				<% c.inc( "i" ); %>
        	</c:forEach>

			document.Form.securityLabels.selectedIndex = <%= c.var("selectedLabel") %>;

			onSwitchLabel();
		}

		function saveUserChanges( index )
		{
			with ( document.Form )
			{
				if ( index == -1 || stateArray[ index ] == "false" )
				{
					return true;
				}

				var label = labelArray[ index ];

				// check to make sure that either a secrecy category or an integrity category has been specified
				if (( selectedSecrecyCategories.length == 0 ) &&
					 ( selectedIntegrityCategories.length == 0 ))
				{
					alert( "You must select either a secrecy category or an integrity category to define this label" );
					return false;
				}

				availableSecrecyArray[ label ].length = 0;
				availableIntegrityArray[ label ].length = 0;
				usedSecrecyArray[ label ].length = 0;
				usedIntegrityArray[ label ].length = 0;

				for ( var i = 0; i < availableSecrecyCategories.length; i++ )
				{
					availableSecrecyArray[ label ][ availableSecrecyArray[ label ].length ] = availableSecrecyCategories.options[ i ].value;
				}

				for ( var i = 0; i < selectedSecrecyCategories.length; i++ )
				{
					usedSecrecyArray[ label ][ usedSecrecyArray[ label ].length ] = selectedSecrecyCategories.options[ i ].value;
				}

				for ( var i = 0; i < availableIntegrityCategories.length; i++ )
				{
					availableIntegrityArray[ label ][ availableIntegrityArray[ label ].length ] = availableIntegrityCategories.options[ i ].value;
				}

				for ( var i = 0; i < selectedIntegrityCategories.length; i++ )
				{
					usedIntegrityArray[ label ][ usedIntegrityArray[ label ].length ] = selectedIntegrityCategories.options[ i ].value;
				}
			}
			return true;
		}

		function onSwitchLabel()
		{
			with ( document.Form )
			{
				var index = securityLabels.selectedIndex;

				if ( index == -1 || index == activeIndex )
				{
					return;
				}

				var label = labelArray[ index ];

				if ( !saveUserChanges( activeIndex ))
				{
					return;
				}

				availableSecrecyCategories.length = 0;
				selectedSecrecyCategories.length = 0;
				availableIntegrityCategories.length = 0;
				selectedIntegrityCategories.length = 0;

				for ( var i = 0; i < availableSecrecyArray[ label ].length; i++ )
				{
					newMember( availableSecrecyArray[ label ][ i ], "Form.availableSecrecyCategories", true, false );
				}

				for ( var i = 0; i < usedSecrecyArray[ label ].length; i++ )
				{
					newMember( usedSecrecyArray[ label ][ i ], "Form.selectedSecrecyCategories", true, false );
				}

				for ( var i = 0; i < availableIntegrityArray[ label ].length; i++ )
				{
					newMember( availableIntegrityArray[ label ][ i ], "Form.availableIntegrityCategories", true, false );
				}

				for ( var i = 0; i < usedIntegrityArray[ label ].length; i++ )
				{
					newMember( usedIntegrityArray[ label ][ i ], "Form.selectedIntegrityCategories", true, false );
				}

				availableSecrecyCategories.disabled = stateArray[ index ] == "false";
				selectedSecrecyCategories.disabled = stateArray[ index ] == "false";
				availableIntegrityCategories.disabled = stateArray[ index ] == "false";
				selectedIntegrityCategories.disabled = stateArray[ index ] == "false";

				availableSecrecyCategories.selectedIndex = -1;
				selectedSecrecyCategories.selectedIndex = -1;
				availableIntegrityCategories.selectedIndex = -1;
				selectedIntegrityCategories.selectedIndex = -1;

				activeIndex = index;
			}
		}

		function moveLeft( type )
		{
			if ( type == "SecrecyCategory" )
		 		addToRemoveFrom( 'Form.availableSecrecyCategories', 'Form.selectedSecrecyCategories' );
			else
		 		addToRemoveFrom( 'Form.availableIntegrityCategories', 'Form.selectedIntegrityCategories' );
		}

		function moveRight( type )
		{
			if ( type == "SecrecyCategory" )
		 		addToRemoveFrom( 'Form.selectedSecrecyCategories', 'Form.availableSecrecyCategories' );
			else
		 		addToRemoveFrom( 'Form.selectedIntegrityCategories', 'Form.availableIntegrityCategories' );
	 	}

		function newSelected()
		{
			var strName = prompt( "Enter new label name:", "" );

			if ( strName == null || strName == "" )
			{
				return;
			}

			document.Form.action.value = "newLabel";
			document.Form.labelName.value = strName;

			isPageValid();

			document.Form.submit();
		}

		function renameSelected()
		{
			with ( document.Form )
			{
				var index = securityLabels.selectedIndex;

				if ( index == -1 )
				{
					return;
				}

				var oldName = securityLabels.options[ index ].value;

				var strName = prompt( "Enter new label name:", oldName );

				if ( strName == null || strName == oldName )
				{
					return;
				}

				action.value = "renameLabel";
				labelName.value = strName;

				isPageValid();

				submit();
			}
		}

		function isPageValid()
		{
			with ( document.Form )
			{
				if ( !saveUserChanges( securityLabels.selectedIndex ))
				{
					return false;
				}

				for ( var i = 0; i < securityLabels.length; i++ )
				{
					var label = labelArray[ i ];

               document.getElementById( "usedSecrecyCategories" + i ).value 	 = pack( usedSecrecyArray[ label ] );
					document.getElementById( "usedIntegrityCategories" + i ).value  = pack( usedIntegrityArray[ label ] );
				}
			}

			return true;
		}
	//-->
	</script>
</head>

<body onLoad="return pageInit()">
	<form name="Form" method="post" action="webacc">
		<jsp:include page='<%= c.getPath("dev/Messagebar_inc.jsp") %>' flush="true" />
		<jsp:include page='<%= c.getPath("dev/BookVars_inc.jsp") %>' flush="true" />

		<input type = "hidden" name = "action" 	value = "doNothing"/>
		<input type = "hidden" name = "labelName" value = ""/>

		<% c.set("i", "0"); %>
		<c:forEach items="${securityLabels}" var="element">
			<input type="hidden"
                name="usedSecrecyCategories<%= c.var("i") %>"
                id="usedSecrecyCategories<%= c.var("i") %>"
                value=""/>
			<input type="hidden"
                name="usedIntegrityCategories<%= c.var("i") %>"
                id="usedIntegrityCategories<%= c.var("i") %>"
                value=""/>
			<% c.inc("i"); %>
     	</c:forEach>

		<table border="0" cellpadding="0" cellspacing="0" width="80%">
			<tr>
				<td colspan="3">
					<%= c.string( "gams.DEFINE_LABELS_INSTRUCTIONS" ) %><br /><br />
				</td>
			</tr>
			<tr>
				<td colspan="3">
					<%= c.string( "gams.DEFINED_LABELS_LABEL" ) %>&nbsp;<nobr/>
			      <select name="securityLabels" size="1" style="WIDTH:250px" onChange="onSwitchLabel()" >
			         <c:forEach items="${securityLabels}" var="element">
			            <option value="<c:out value="${element}"/>"> <c:out value="${element}"/> </option>
			         </c:forEach>
					</select>
					&nbsp;&nbsp;<nobr />
					<A HREF="#" onClick="javascript:newSelected();return false"><IMG src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.New.image") %>" alt="<%= toSecureHTMLEncode(c.string("Button.New.alt")) %>" title="<%= toSecureHTMLEncode(c.string("Button.New.alt")) %>" border=0></A>
					&nbsp;&nbsp;<nobr />
					<A HREF="#" onClick="javascript:renameSelected();return false"><IMG src="<%= c.getModulesUrl() + "/dev/images/" + c.string("NMAS.LangID") + "/btnrename_" + c.string( "NMAS.LangID" ) + ".gif" %>" alt="<%= toSecureHTMLEncode(c.string("Button.New.alt")) %>" title="<%= toSecureHTMLEncode(c.string("Button.New.alt")) %>" border=0></A>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td class="mediumtext" style="width:50%">
					<%= c.string("gams.AVAILABLE_SECRECY_CATEGORIES_LABEL") %>
				</td>
				<td style="width:1%"></td>
				<td class="mediumtext" style="width:50%">
					<%= c.string("gams.USED_SECRECY_CATEGORIES_LABEL") %>
				</td>
			</tr>
			<%/*-- Secrecy Categories -- */%>
			<tr>
			 	<%/*-- available secrecy categories -- */%>
				<td class="mediumtext" valign="top" align="left">
					<select name="availableSecrecyCategories" size="10" multiple style="width:100%">
				  	</select>
				</td>
				<%/*-- left/right arrows -- */%>
				<td valign="middle" align="left" width="1%">
					<a href="javascript:moveRight( 'SecrecyCategory' )">
					<IMG src="<%= c.getModulesUrl() %>/NMAS/images/btnrightarrow.gif" alt="<%= c.string("NMAS.DefineLabelsSelectSecrecyCategory") %>" title="<%= c.string("NMAS.DefineLabelsSelectSecrecyCategory") %>" border="0"></a>
					<br />
					<a href="javascript:moveLeft( 'SecrecyCategory' )">
					<IMG src="<%= c.getModulesUrl() %>/NMAS/images/btnleftarrow.gif" alt="<%= c.string("NMAS.DefineLabelsUnselectSecrecyCategory") %>" title="<%= c.string("NMAS.DefineLabelsUnselectSecrecyCategory") %>" border="0"></a>
				</td>
				<%/*-- selected secrecy categories -- */%>
				<td class="mediumtext" valign="top">
					<select name="selectedSecrecyCategories" size="10" multiple style="width:100%">
				  	</select>
				</td>
			</tr>
			<tr><td class="mediumtext">&nbsp;</td></tr>
			<%/*-- Integrity Categories -- */%>
			<tr>
				<td class="mediumtext">
					<%= c.string("gams.AVAILABLE_INTEGRITY_CATEGORIES_LABEL") %>
				</td>
				<td></td>
				<td class="mediumtext">
					<%= c.string("gams.USED_INTEGRITY_CATEGORIES_LABEL") %>
				</td>
			</tr>
			<tr>
			 	<%/*-- available integrity categories -- */%>
		 		<td class="mediumtext" valign="top" align="left">
					<select name="availableIntegrityCategories" size="10" multiple style="width:100%">
				  	</select>
				</td>
				<%/*-- left/right arrows -- */%>
				<td valign="middle" align="left">
					<a href="javascript:moveRight( 'IntegrityCategory' )">
					<IMG src="<%= c.getModulesUrl() %>/NMAS/images/btnrightarrow.gif" alt="<%= c.string("NMAS.DefineLabelsSelectIntegrityCategory") %>" title="<%= c.string("NMAS.DefineLabelsSelectIntegrityCategory") %>" border="0"></a>
					<br />
					<a href="javascript:moveLeft( 'IntegrityCategory' )">
					<IMG src="<%= c.getModulesUrl() %>/NMAS/images/btnleftarrow.gif" alt="<%= c.string("NMAS.DefineLabelsUnselectIntegrityCategory") %>" title="<%= c.string("NMAS.DefineLabelsUnselectIntegrityCategory") %>" border="0"></a>
				</td>
			 	<%/*-- selected integrity categories -- */%>
				<td class="mediumtext" valign="top">
					<select name="selectedIntegrityCategories" size="10" multiple style="width:100%">
				  	</select>
				</td>
			</tr>
		 </table>
	</form>
</body></HTML> <% } catch (Exception e) { e.printStackTrace(); %>Exception occured processing JSP page<% } %>





